<div style="margin-top: 20px;">
	<h5>
		<span>BAST - STNK - Eksternal</span>
	</h5>

	<div class="fieldset-legend">
		<p-accordion class="filter-accordion">
			<p-accordionTab header="Filter" [selected]="true">
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<label class="form-control-label" for="field_">Tanggal BAST</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_dealer">Dealer Pemohon</label>
						<select class="form-control" id="field_dealer" name="dealer">
							<option [ngValue]="null"></option>
							<option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.partyName}}</option>
						</select>
					</div>
				</div>
				<div class="col-md-6"> 
					<div class="form-group">
						<label class="form-control-label" for="field_salesman">Sales</label>
						<select class="form-control" id="field_salesman" name="salesman">
							<option [ngValue]="null"></option>
							<option [ngValue]="salesmanOption.idSalesman" *ngFor="let salesmanOption of salesmans; trackBy: trackSalesmanById">{{salesmanOption.partyName}}</option>
						</select>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_statusType">Status</label>
						<select class="form-control" id="field_statusType" name="statusType">
							<option [ngValue]="null"></option>
							<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
						</select>
					</div>
				</div>
			</div>
			<div class="btn-filter-wrapper">
				<button type="button" class="btn btn-primary btn-filter">
					<span>Filter</span>
				</button>
			</div>
			</p-accordionTab>
		</p-accordion>
	</div>

	<p-dataTable
		[value]="unitDeliverables"
		[editable]="true"
		[rows]="itemsPerPage"
		[paginator]="true"
		[pageLinks]="5"
		[rowsPerPageOptions]="[10,15,20]"
		[totalRecords]="totalItems"
		[responsive]="true"
		[lazy]="true"
		dataKey="idRequirement"
		expandableRows="false"
		(onLazyLoad)="loadDataLazy($event)"
		(onEditComplete)="updateRowData($event)">
		<p-header>
			<div class="row"></div>
		</p-header>
		<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
		<p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
			<ng-template let-rowIndex="rowIndex" pTemplate="body">
				{{rowIndex + 1}}
			</ng-template>
		</p-column>
		<p-column header="No. BAST">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.bastNumber}}
			</ng-template>
		</p-column>
		<p-column header="Tgl. BAST">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.dateDelivery | date:'dd-MM-yyyy'}}
			</ng-template>
		</p-column>
		<p-column header="No. IVU">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="No. Rangka">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.idframe}}
			</ng-template>
		</p-column>
		<p-column header="No. Mesin">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.idmachine}}
			</ng-template>
		</p-column>
		<p-column header="No. Polisi">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.requestpoliceid}}
			</ng-template>
		</p-column>
		<p-column header="Nama STNK">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.namaSTNK}}
			</ng-template>
		</p-column>
		<p-column header="Sales">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateRequired | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="Notice">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateRequired | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="STNK">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateRequired | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="Plat Nomor">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateRequired | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- <a [routerLink]="['../data-transaksi/detail/'+ rowData.idRequirement]">Detail</a> -->
				<a (click)="showPrint(rowData.idDeliverable)">BAST</a>
				<a (click)="showRevisi(rowData.idDeliverable)">Revisi</a>
			</ng-template>
		</p-column>
		<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
		</ng-template>
	</p-dataTable>
</div>
<div style="margin-top: 10px;"></div>



<p-dialog header="Detail Informasi Transaksi" [(visible)]="detailModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<p>No. Faktur</p>
			<p>Nama STNK</p>
			<p>Alamat STNK</p>
			<p>Nama Pembeli</p>
			<br>
			<p>Tanggal Isi Nama</p>
		</div>
	</div>
</p-dialog>

<p-dialog header="Diserahkan Ke" [(visible)]="printModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<form name="editForm" role="form" novalidate (ngSubmit)="doPrint()" #editForm="ngForm">
				<div class="col-sm-12">
					<label class="form-control-label ui-g-6">Nama Penerima*</label>
					<label class="form-control-label ui-g-6">
						<input type="text" class="form-control" name="name" id="field_name" [(ngModel)]="unitDeliverable.name" required />
					</label>
				</div>
				<button class="btn btn-primary pull-right" type="submit" (click)="print(unitDeliverable.idframe, unitDeliverable.name)">Print BAST</button>
			</form>
		</div>
	</div>
</p-dialog>

<p-dialog header="Revisi STNK" [(visible)]="revisiModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<p>Data yang akan direvisi:</p>

			<form name="editForm" role="form" novalidate (ngSubmit)="doRevisi()" style="margin-left:10px" #editForm="ngForm">
				<div class="col-sm-12">
					<p-checkbox name="input_revisiNamaSTNK" label="Nama STNK" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiNoPol" label="No Polisi" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiNokaNosin" label="NOKA / NOSIN" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiTipeKendaraan" label="Tipe Kendaraan" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiAlamat" label="Alamat" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<button class="btn btn-primary pull-right" type="submit">Submit</button>
			</form>
		</div>
	</div>
</p-dialog>



<p-confirmDialog></p-confirmDialog>